/* Premium Button Effects */
.effects {
  position: relative;
  z-index: 0;
  overflow: hidden;
  transition: all 0.3s cubic-bezier(0.02, 0.01, 0.47, 1);
}

.effects:hover span {
  display: inline-block; /* Ensure span can animate */
  animation: storm 0.7s ease-in-out both;
  animation-delay: 0.06s;
}

@keyframes storm {
  0% { transform: translate3d(0, 0, 0); }
  25% { transform: translate3d(4px, 0, 0); }
  50% { transform: translate3d(-3px, 0, 0); }
  75% { transform: translate3d(2px, 0, 0); }
  100% { transform: translate3d(0, 0, 0); }
}

/* Background Circles Animation */
.effects::before,
.effects::after {
  content: '';
  position: absolute;
  right: 0;
  bottom: 0;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background: #fff;
  opacity: 0;
  transition: transform 0.15s cubic-bezier(0.02, 0.01, 0.47, 1), opacity 0.15s cubic-bezier(0.02, 0.01, 0.47, 1);
  z-index: -1;
  transform: translate(100%, -25%) translate3d(0, 0, 0);
}

.effects:hover::before,
.effects:hover::after {
  opacity: 0.15;
  transition: transform 0.2s cubic-bezier(0.02, 0.01, 0.47, 1), opacity 0.2s cubic-bezier(0.02, 0.01, 0.47, 1);
}

.effects:hover::before {
  transform: translate3d(50%, 0, 0) scale(0.9);
}

.effects:hover::after {
  transform: translate(50%, 0) scale(1.1);
}
